# Package org.codehaus.plexus.classworlds.realm

Class Summary
Class | Description
--- | ---
ClassRealm | The class loading gateway.

Exception Summary
Exception | Description
--- | ---
DuplicateRealmException | Indicates an attempt to add a `ClassRealm` to a `ClassWorld` with a duplicate id.
NoSuchRealmException | Indicates an attempt to retrieve a `ClassRealm` from a `ClassWorld` with an invalid id.